---
lang: en
title: 'API docs: metadata.decoratorfactory.clonedeep'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.decoratorfactory.clonedeep.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [DecoratorFactory](./metadata.decoratorfactory.md) &gt; [cloneDeep](./metadata.decoratorfactory.clonedeep.md)

## DecoratorFactory.cloneDeep() method

**Signature:**

```typescript
static cloneDeep<V>(val: Readonly<V>): V;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

val


</td><td>

Readonly&lt;V&gt;


</td><td>


</td></tr>
</tbody></table>

**Returns:**

V


